### A free/open-source library for quantitative finance

Classes
ql/instruments/varianceswap.hpp File Reference

Variance swap. More...

`#include <ql/processes/blackscholesprocess.hpp>`
`#include <ql/instruments/payoffs.hpp>`
`#include <ql/option.hpp>`
`#include <ql/position.hpp>`
Include dependency graph for varianceswap.hpp:

## Classes

class | VarianceSwap
| Variance swap. More...
class | VarianceSwap::arguments
| Arguments for forward fair-variance calculation More...
class | VarianceSwap::results
| Results from variance-swap calculation More...
class | VarianceSwap::engine
| base class for variance-swap engines More...

## Detailed Description

Variance swap.